Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Account Futures Asset Transfer History (For Main/Sub Account) (KEYED)

Get account Futures asset transfer history (For Main/Sub Account)

Request URL

GET https://cloud-api.wooxpro.com/account/contract/sub-account/v1/transfer-history

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/account/contract/sub-account/v1/transfer-history?limit=10
FieldTypeRequired?Description
limitIntYesRecent N records, allowed range[1,100]

Response Data

Response
{
  "message": "OK",
  "code": 1000,
  "trace": "ba950ec2bd114fd7bc069cb812b0129f.62.16887215218140681",
  "data": [
    {
      "fromAccount": "masterAccount@xxx.com",
      "toAccount": "subAccount@xxx.com",
      "toWalletType": "future",
      "fromWalletType": "future",
      "currency": "USDT",
      "amount": "1",
      "submissionTime": 1686207254
    }
  ]
}
FieldTypeDescription
fromAccountStringTransfer out Sub-Account username
fromWalletTypeStringTransfer out wallet type
-future=futures wallet
toAccountStringTransfer to Sub-Account username
toWalletTypeStringTransfer to wallet type
-future=futures wallet
currencyStringcurrency
amountStringTransfer amount
submissionTimeLongThe request timestamp is accurate to seconds(UTC-0)